package com.liquidnet.service.merchant.service;

import com.liquidnet.service.merchant.dto.param.MerchantAuthorizationRecordParam;
import com.liquidnet.service.merchant.dto.vo.MerchantAuthorizationPerformanceVo;
import com.liquidnet.service.merchant.dto.vo.MerchantAuthorizationRecordsVo;

import java.util.List;

public interface IMerchantAuthorizationRecordsService {
    MerchantAuthorizationPerformanceVo performanceAuthorization(String uid, String performanceId);

    List<MerchantAuthorizationRecordsVo> performanceRecordCheckers(String cuid, String performanceId);

    String performanceRecordCheckerAdd(String cuid, MerchantAuthorizationRecordParam parameter);

    void performanceRecordCheckerDel(String cuid, String authorizationRecordId);
}
